;;; DO NOT MODIFY THIS FILE -*- coding: raw-text-unix -*-
;;;###coding system: raw-text-unix
(if (featurep 'cedet-common-autoloads) (error "Feature cedet-common-autoloads already loaded"))

(defconst cedet-version "1.0pre4" "\
Current version of CEDET.")

(package-provide 'cedet-common :version 1.01 :author-version "1.0pre4" :type 'regular)

;;;### (autoloads (cedet-update-autoloads) "cedet-autogen" "cedet-common/cedet-autogen.el")

(autoload 'cedet-update-autoloads "cedet-autogen" "\
Update autoloads in file LOADDEFS from sources.
Optional argument DIRECTORY, specifies the directory to scan for
autoloads.  It defaults to the current directory.
DIRECTORIES is a list of extra directory to scan.  Those directory
names are relative to DIRECTORY.  If DIRECTORIES is nil try to scan
sub directories of DIRECTORY where a `cedet-autogen-tagfile' file
exists.

arguments: (LOADDEFS &optional DIRECTORY &rest DIRECTORIES)
" t nil)

;;;***

;;;### (autoloads (define-fame-channel) "fame" "cedet-common/fame.el")

(autoload 'define-fame-channel "fame" "\
Define the new message channel CHANNEL.
CHANNEL must be a non-nil symbol.
The optional argument DEFAULT specifies the default value of message
levels for this channel.  By default it is the value of
`fame-default-level-values'.
DOCSTRING is an optional channel documentation.

This defines the option `CHANNEL-fame-levels' to customize the current
value of message levels.  And the functions `CHANNEL-send-debug',
`CHANNEL-send-info', `CHANNEL-send-warning', and `CHANNEL-send-error',
that respectively send debug, informational, warning, and error
messages to CHANNEL.

arguments: (CHANNEL &optional DEFAULT DOCSTRING)
" nil 'macro)

;;;***

;;;### (autoloads (inversion-upgrade-package inversion-add-to-load-path inversion-find-version inversion-require) "inversion" "cedet-common/inversion.el")

(autoload 'inversion-require "inversion" "\
Declare that you need PACKAGE with at least VERSION.
PACKAGE might be found in FILE.  (See `require'.)
Throws an error if VERSION is incompatible with what is installed.
Optional argument DIRECTORY is a location where new versions of
this tool can be located.  If there is a versioning problem and
DIRECTORY is provided, inversion will offer to download the file.
Optional argument RESERVED is saved for later use.

arguments: (PACKAGE VERSION &optional FILE DIRECTORY &rest RESERVED)
" nil nil)

(autoload 'inversion-find-version "inversion" "\
Search for the version and incompatible version of PACKAGE.
Does not load PACKAGE nor requires that it has been previously loaded.
Search in the directories in `load-path' for a PACKAGE.el library.
Visit the file found and search for the declarations of variables or
constants `PACKAGE-version' and `PACKAGE-incompatible-version'.  The
value of these variables must be a version string.

Return a pair (VERSION-STRING . INCOMPATIBLE-VERSION-STRING) where
INCOMPATIBLE-VERSION-STRING can be nil.
Return nil when VERSION-STRING was not found.

arguments: (PACKAGE)
" nil nil)

(autoload 'inversion-add-to-load-path "inversion" "\
Add the PACKAGE path to `load-path' if necessary.
MINIMUM is the minimum version requirement of PACKAGE.
Optional argument INSTALLDIR is the base directory where PACKAGE is
installed.  It defaults to `default-directory'/PACKAGE.
SUBDIRS are sub-directories to add to `load-path', following the main
INSTALLDIR path.

arguments: (PACKAGE MINIMUM &optional INSTALLDIR &rest SUBDIRS)
" nil nil)

(autoload 'inversion-upgrade-package "inversion" "\
Try to upgrade PACKAGE in DIRECTORY is available.

arguments: (PACKAGE &optional DIRECTORY)
" t nil)

;;;***

;;;### (autoloads (define-overload mode-local--overload-body mode-local--expand-overrides mode-local--override mode-local-bind) "mode-local" "cedet-common/mode-local.el")

(autoload 'mode-local-bind "mode-local" "\
Define BINDINGS in the specified environment.
BINDINGS is a list of (VARIABLE . VALUE).
Optional argument PLIST is a property list each VARIABLE symbol will
be set to.  The following properties have special meaning:

- `constant-flag' if non-nil, prevent to rebind variables.
- `mode-variable-flag' if non-nil, define mode variables.
- `override-flag' if non-nil, define override functions.

The `override-flag' and `mode-variable-flag' properties are mutually
exclusive.

If optional argument MODE is non-nil, it must be a major mode symbol.
BINDINGS will be defined globally for this major mode.  If MODE is
nil, BINDINGS will be defined locally in the current buffer, in
variable `mode-local-symbol-table'.  The later should be done in MODE
hook.

arguments: (BINDINGS &optional PLIST MODE)
" nil nil)

(autoload 'mode-local--override "mode-local" "\
Return the form that handles overloading of function NAME.
ARGS are the arguments to the function.
BODY is code that would be run when there is no override defined.  The
default is to call the function `NAME-default' with the appropriate
arguments.
See also the function `define-overload'.

arguments: (NAME ARGS BODY)
" nil nil)

(autoload 'mode-local--expand-overrides "mode-local" "\
Expand override forms that overload function NAME.
ARGS are the arguments to the function NAME.
BODY is code where override forms are searched for expansion.
Return result of expansion, or BODY if no expansion occurred.
See also the function `define-overload'.

arguments: (NAME ARGS BODY)
" nil nil)

(autoload 'mode-local--overload-body "mode-local" "\
Return the code that implements overloading of function NAME.
ARGS are the arguments to the function NAME.
BODY specifies the overload code.
See also the function `define-overload'.

arguments: (NAME ARGS BODY)
" nil nil)

(autoload 'define-overload "mode-local" "\
Define a new function, as with `defun' which can be overloaded.
NAME is the name of the function to create.
ARGS are the arguments to the function.
DOCSTRING is a documentation string to describe the function.  The
docstring will automatically had details about its overload symbol
appended to the end.
BODY is code that would be run when there is no override defined.  The
default is to call the function `NAME-default' with the appropriate
arguments.

BODY can also include an override form that specifies which part of
BODY is specifically overridden.  This permits to specify common code
run for both default and overridden implementations.
An override form is one of:

  1. (:override [OVERBODY])
  2. (:override-with-args OVERARGS [OVERBODY])

OVERBODY is the code that would be run when there is no override
defined.  The default is to call the function `NAME-default' with the
appropriate arguments deduced from ARGS.
OVERARGS is a list of arguments passed to the override and
`NAME-default' function, in place of those deduced from ARGS.

arguments: (NAME ARGS DOCSTRING &rest BODY)
" nil 'macro)

(defsubst function-overload-p (symbol) "\
Return non-nil if SYMBOL is a function which can be overloaded." (and symbol (symbolp symbol) (get symbol 'mode-local-overload)))

;;;***

;;;### (autoloads (pprint-function pprint pprint-to-string) "pprint" "cedet-common/pprint.el")

(autoload 'pprint-to-string "pprint" "\
Return a string containing the pretty-printed representation of OBJECT.
OBJECT can be any Lisp object.  Quoting characters are used as needed
to make output that `read' can handle, whenever this is possible.  The
pretty printer try as much as possible to limit the length of lines to
given WIDTH.  WIDTH value defaults to `fill-column'.

arguments: (OBJECT &optional WIDTH)
" nil nil)

(autoload 'pprint "pprint" "\
Output the pretty-printed representation of OBJECT, any Lisp object.
Quoting characters are printed as needed to make output that `read'
can handle, whenever this is possible.  Output stream is STREAM, or
value of `standard-output' (which see).  The pretty printer try as
much as possible to limit the length of lines to given WIDTH.  WIDTH
value defaults to `fill-column'.

arguments: (OBJECT &optional STREAM WIDTH)
" nil nil)

(autoload 'pprint-function "pprint" "\
See a pretty-printed representation of FUNCTION-NAME.

arguments: (FUNCTION-NAME)
" t nil)

;;;***

(add-hook 'edebug-setup-hook (lambda nil (require 'cedet-edebug) (defalias 'edebug-prin1-to-string 'cedet-edebug-prin1-to-string) (define-key edebug-mode-map "A" 'semantic-adebug-edebug-expr)))

(add-hook 'debugger-mode-hook (lambda nil (require 'cedet-edebug) (define-key debugger-mode-map "A" 'semantic-adebug-edebug-expr)))

(provide 'cedet-common-autoloads)
