;;; DO NOT MODIFY THIS FILE -*- coding: raw-text-unix -*-
;;;###coding system: raw-text-unix
(if (featurep 'mh-e-autoloads) (error "Feature mh-e-autoloads already loaded"))

(package-provide 'mh-e :version 1.33 :author-version "7.4.2" :type 'regular)

;;;### (autoloads (mh-letter-mode mh-smail-other-window mh-user-agent-compose mh-smail-batch mh-smail) "mh-comp" "mh-e/mh-comp.el")

(autoload 'mh-smail "mh-comp" "\
Compose and send mail with the MH mail system.
This function is an entry point to MH-E, the Emacs front end
to the MH mail system.

See documentation of `\\[mh-send]' for more details on composing mail.

arguments: ()
" t nil)

(autoload 'mh-smail-batch "mh-comp" "\
Set up a mail composition draft with the MH mail system.
This function is an entry point to MH-E, the Emacs front end
to the MH mail system.  This function does not prompt the user
for any header fields, and thus is suitable for use by programs
that want to create a mail buffer.
Users should use `\\[mh-smail]' to compose mail.
Optional arguments for setting certain fields include TO, SUBJECT, and
OTHER-HEADERS. Additional arguments are IGNORED.

arguments: (&optional TO SUBJECT OTHER-HEADERS &rest IGNORED)
" nil nil)

(autoload 'mh-user-agent-compose "mh-comp" "\
Set up mail composition draft with the MH mail system.
This is `mail-user-agent' entry point to MH-E.

The optional arguments TO and SUBJECT specify recipients and the
initial Subject field, respectively.

OTHER-HEADERS is an alist specifying additional
header fields.  Elements look like (HEADER . VALUE) where both
HEADER and VALUE are strings.

CONTINUE, SWITCH-FUNCTION, YANK-ACTION and SEND-ACTIONS are ignored.

arguments: (&optional TO SUBJECT OTHER-HEADERS CONTINUE SWITCH-FUNCTION YANK-ACTION SEND-ACTIONS)
" nil nil)

(autoload 'mh-smail-other-window "mh-comp" "\
Compose and send mail in other window with the MH mail system.
This function is an entry point to MH-E, the Emacs front end
to the MH mail system.

See documentation of `\\[mh-send]' for more details on composing mail.

arguments: ()
" t nil)

(autoload 'mh-letter-mode "mh-comp" "\
Mode for composing letters in MH-E.\\<mh-letter-mode-map>

When you have finished composing, type \\[mh-send-letter] to send the message
using the MH mail handling system.

There are two types of MIME directives used by MH-E: Gnus and MH. The option
`mh-compose-insertion' controls what type of directives are inserted by MH-E
commands. These directives can be converted to MIME body parts by running
\\[mh-edit-mhn] for mhn directives or \\[mh-mml-to-mime] for Gnus directives.
This step is mandatory if these directives are added manually. If the
directives are inserted with MH-E commands such as \\[mh-compose-insertion],
the directives are expanded automatically when the letter is sent.

Options that control this mode can be changed with
\\[customize-group]; specify the \"mh-compose\" group.

When a message is composed, the hooks `text-mode-hook' and
`mh-letter-mode-hook' are run.

\\{mh-letter-mode-map}" t nil)
(add-to-list 'auto-mode-alist '("/drafts/[0-9]+\\'" . mh-letter-mode))

;;;***

;;;### (autoloads (mh-version mh-nmail mh-rmail) "mh-e" "mh-e/mh-e.el")

(autoload 'mh-rmail "mh-e" "\
Inc(orporate) new mail with MH.
Scan an MH folder if ARG is non-nil. This function is an entry point to MH-E,
the Emacs front end to the MH mail system.

arguments: (&optional ARG)
" t nil)

(autoload 'mh-nmail "mh-e" "\
Check for new mail in inbox folder.
Scan an MH folder if ARG is non-nil. This function is an entry point to MH-E,
the Emacs front end to the MH mail system.

arguments: (&optional ARG)
" t nil)

(autoload 'mh-version "mh-e" "\
Display version information about MH-E and the MH mail handling system.

arguments: ()
" t nil)

;;;***

(put 'mh-progs 'risky-local-variable t)

(put 'mh-lib 'risky-local-variable t)

(put 'mh-lib-progs 'risky-local-variable t)

(put 'mh-nmh-flag 'risky-local-variable t)

(provide 'mh-e-autoloads)
