;;; DO NOT MODIFY THIS FILE -*- coding: raw-text-unix -*-
;;;###coding system: raw-text-unix
(if (featurep 'xetla-autoloads) (error "Feature xetla-autoloads already loaded"))

(defconst xetla-version "steve@eicq.org--2005/xetla--main--1.1--version-0")

(package-provide 'xetla :version 1.02 :author-version "steve@eicq.org--2005/xetla--main--1.1--version-0" :type 'regular)

;;;### (autoloads (xetla-browse) "xetla-browse" "xetla/xetla-browse.el")

(autoload 'xetla-browse "xetla-browse" "\
Browse registered archives as trees within one buffer.
You can specify the node should be opened by alist,
INITIAL-OPEN-LIST.  If APPEND is nil, the nodes not in
INITIAL-OPEN-LIST are made closed.  If non-nil, the nodes
already opened are kept open.

arguments: (&optional INITIAL-OPEN-LIST APPEND)
" t nil)

;;;***

;;;### (autoloads (xetla-do-in-xemacs xetla-do-in-gnu-emacs) "xetla-defs" "xetla/xetla-defs.el")

(autoload 'xetla-do-in-gnu-emacs "xetla-defs" "\
Execute BODY if in GNU/Emacs.

arguments: (&rest BODY)
" nil 'macro)

(autoload 'xetla-do-in-xemacs "xetla-defs" "\
Execute BODY if in XEmacs.

arguments: (&rest BODY)
" nil 'macro)
(add-to-list 'auto-mode-alist '("/\\(=tagging-method\\|\\.arch-inventory\\)$" . xetla-inventory-file-mode))

;;;***

;;;### (autoloads (xetla-submit-bug-report xetla-prepare-patch-submission xetla-version xetla-tree-lint xetla-ediff-add-log-entry xetla-tag-regenerate xetla-tag-insert xetla-tag-string xetla-find-file-hook xetla-inventory-file-mode xetla-log-edit-mode xetla-start-project xetla-missing xetla-revisions xetla-make-archive xetla-archives xetla-bookmarks xetla-id-tagging-method xetla-my-revision-library xetla-my-id xetla-tree-version xetla-help xetla-logs xetla-changelog xetla-rm xetla-commit xetla-file-view-original xetla-file-ediff xetla-view-conflicts xetla-conflicts-finish xetla-file-diff xetla-file-ediff-revisions xetla-apply-changeset xetla-get-changeset xetla-delta xetla-changes-last-revision xetla-changes-against xetla-changes xetla-add-log-entry xetla-edit-log xetla-inventory xetla) "xetla" "xetla/xetla.el")

(autoload 'xetla "xetla" "\
Displays a welcome message.

arguments: ()
" t nil)

(autoload 'xetla-inventory "xetla" "\
Show a xetla inventory at DIRECTORY.
When called with a prefix arg, pop to the inventory buffer.
DIRECTORY defaults to the current one when within an arch managed tree,
unless prefix argument ARG is non-nil.

arguments: (&optional DIRECTORY ARG)
" t nil)

(autoload 'xetla-edit-log "xetla" "\
Edit the xetla log file.

With an optional prefix argument INSERT-CHANGELOG, insert the last
group of entries from the ChangeLog file.  SOURCE-BUFFER, if non-nil,
is the buffer from which the function was called.  It is used to get
the list of marked files, and potentially run a selected file commit.

arguments: (&optional INSERT-CHANGELOG SOURCE-BUFFER)
" t nil)

(autoload 'xetla-add-log-entry "xetla" "\
Add new xetla log ChangeLog style entry.

arguments: ()
" t nil)

(autoload 'xetla-changes "xetla" "\
Run \"tla changes\".

When called without a prefix argument: show the detailed diffs also.
When called with a prefix argument SUMMARY: do not show detailed
diffs. When AGAINST is non-nil, use it as comparison tree.

arguments: (&optional SUMMARY AGAINST)
" t nil)

(autoload 'xetla-changes-against "xetla" "\
Wrapper for `xetla-changes'.

When called interactively, SUMMARY is the prefix arg, and AGAINST is
read from the user.

arguments: (&optional SUMMARY AGAINST)
" t nil)

(autoload 'xetla-changes-last-revision "xetla" "\
Run `xetla-changes' against the last but one revision.

The idea is that running this command just after a commit should be
equivalent to running `xetla-changes' just before the commit.

SUMMARY is passed to `xetla-changes'.

arguments: (&optional SUMMARY)
" t nil)

(autoload 'xetla-delta "xetla" "\
Run tla delta BASE MODIFIED.
If DIRECTORY is a non-empty string, the delta is stored to it.
If DIRECTORY is ask, a symbol, ask the name of directory.
If DIRECTORY is nil or an empty string, just show the delta using --diffs.

arguments: (BASE MODIFIED &optional DIRECTORY)
" t nil)

(autoload 'xetla-get-changeset "xetla" "\
Gets the changeset corresponding to REVISION.

When JUSTSHOW is non-nil (no prefix arg), just show the diff.
Otherwise, store changeset in DESTINATION.
If WITHOUT-DIFF is non-nil, don't use the -diff option to show the
changeset.

arguments: (REVISION JUSTSHOW &optional DESTINATION WITHOUT-DIFF)
" t nil)

(autoload 'xetla-apply-changeset "xetla" "\
Call \"tla apply-changeset\".

CHANGESET is the changeset to apply, TARGET is the directory in which
to apply the changeset. If REVERSE is non-nil, apply the changeset in
reverse.

arguments: (CHANGESET TARGET &optional REVERSE)
" t nil)

(autoload 'xetla-file-ediff-revisions "xetla" "\
View changes in FILE between BASE and MODIFIED using ediff.

arguments: (FILE &optional BASE MODIFIED)
" t nil)

(autoload 'xetla-file-diff "xetla" "\
Run \"tla file-diff\" on file FILE.

In interactive mode, the file is the current buffer's file.
If REVISION is specified, it must be a string representing a revision
name, and the file will be diffed according to this revision.

arguments: (FILE &optional REVISION)
" t nil)

(autoload 'xetla-conflicts-finish "xetla" "\
Command to delete .rej file after conflicts resolution.
Asks confirmation if the file still has diff3 markers.

arguments: ()
" t nil)

(autoload 'xetla-view-conflicts "xetla" "\
*** WARNING: semi-deprecated function.
Use this function if you like, but M-x smerge-mode RET is actually
better for the same task ****

Graphical view of conflicts after xetla star-merge -three-way. The
buffer given as an argument must be the content of a file with
conflicts markers like.

    <<<<<<< TREE
    my text
    =======
    his text
    >>>>>>> MERGE-SOURCE

Priority is given to your file by default. (This means all conflicts
will be rejected if you do nothing).

arguments: (BUFFER)
" t nil)

(autoload 'xetla-file-ediff "xetla" "\
Interactive view of differences in FILE with ediff.

Changes are computed since last commit (or REVISION if specified).

arguments: (FILE &optional REVISION)
" t nil)

(autoload 'xetla-file-view-original "xetla" "\
Get the last-committed version of FILE in a buffer.

If REVISION is specified, it must be a cons representing the revision
for which to get the original.

arguments: (FILE &optional REVISION)
" t nil)

(autoload 'xetla-commit "xetla" "\
Run tla commit.

Optional argument HANDLER is the process handler for the commit
command.

Optional argument VERSION-FLAG may be one of the symbols
'seal to commit a sealed version
'fix  to commit a fix version
If omitted it defaults to a normal commit.

When the commit finishes successful, `tla-commit-done-hook' is called.

arguments: (&optional HANDLER VERSION-FLAG)
" t nil)

(autoload 'xetla-rm "xetla" "\
Call tla rm on file FILE.  Prompts for confirmation before.

arguments: (FILE)
" t nil)

(autoload 'xetla-changelog "xetla" "\
Run \"tla changelog\".

Display the result in an improved ChangeLog mode.
With prefix arg, VERSION, display that version's changelog.

arguments: (&optional VERSION)
" t nil)

(autoload 'xetla-logs "xetla" "\
Run tla logs.

arguments: ()
" t nil)

(autoload 'xetla-help "xetla" "\
Run tla COMMAND -H.

arguments: (COMMAND)
" t nil)

(autoload 'xetla-tree-version "xetla" "\
Equivalent of xetla tree-version (but implemented in pure elisp).

Optional argument LOCATION is the directory in which the command must
be ran.  If NO-ERROR is non-nil, don't raise errors if ran outside an
arch managed tree.

arguments: (&optional LOCATION NO-ERROR)
" t nil)

(autoload 'xetla-my-id "xetla" "\
Run tla my-id.

When called without a prefix argument ARG, just print the my-id from
xetla and return it.  If MY-ID is not set yet, return an empty string.
When called with a prefix argument, ask for a new my-id.

The my-id should have the following format:

Your id is recorded in various archives and log messages as you use
arch.  It must consist entirely of printable characters and fit on one
line.  By convention, it should have the form of an email address, as
in this example:

Jane Hacker <jane.hacker@email.address>

arguments: (&optional ARG MY-ID)
" t nil)

(autoload 'xetla-my-revision-library "xetla" "\
Run tla my-revision-library.

When called without a prefix argument ARG, just print the
my-revision-library from xetla.  When called with a prefix argument, ask
for a new my-revision-library.

my-revision-library specifies a path, where the revision library is
stored to speed up tla.  For example ~/tmp/arch-lib.

You can configure the parameters for the library via
`xetla-library-config'.

arguments: (&optional ARG)
" t nil)

(autoload 'xetla-id-tagging-method "xetla" "\
View (and return) or change the id-tagging method.
When called without prefix argument ARG: show the actual tagging method.
When called with prefix argument ARG: Ask the user for the new tagging method.

arguments: (ARG)
" t nil)

(autoload 'xetla-bookmarks "xetla" "\
Display XEtla bookmarks in a buffer.

With prefix argument ARG, reload the bookmarks file from disk.

arguments: (&optional ARG)
" t nil)

(autoload 'xetla-archives "xetla" "\
Start the archive browser.

arguments: ()
" t nil)

(autoload 'xetla-make-archive "xetla" "\
Call `xetla-make-archive-internal' interactively  then call `xetla-archives'.

arguments: ()
" t nil)

(autoload 'xetla-revisions "xetla" "\
List the revisions of ARCHIVE/CATEGORY-BRANCH-VERSION.

arguments: (ARCHIVE CATEGORY BRANCH VERSION &optional UPDATE-DISPLAY FROM-REVLIB)
" t nil)

(autoload 'xetla-missing "xetla" "\
Search in directory LOCAL-TREE for missing patches from LOCATION.
If the current buffers default directory is in an arch managed tree use that
one unless called with a prefix arg.  In all other cases prompt for the local
tree and the location.

arguments: (LOCAL-TREE LOCATION)
" t nil)

(autoload 'xetla-start-project "xetla" "\
Start a new project.
Prompts for the root directory of the project and the fully
qualified version name to use.  Sets up and imports the tree and
displays an inventory buffer to allow the project's files to be
added and committed.
If ARCHIVE is given, use it when reading version.
Return a cons pair: its car is the new version name string, and
its cdr is imported location.
If SYNCHRONOUSLY is non-nil, run \"tla import\" synchronously.
Else run it asynchronously.

arguments: (&optional ARCHIVE SYNCHRONOUSLY)
" t nil)
(add-to-list 'auto-mode-alist '("\\+\\+log\\." . xetla-log-edit-mode))

(autoload 'xetla-log-edit-mode "xetla" "\
Major Mode to edit xetla log messages.
Commands:
\\{xetla-log-edit-mode-map}
" t nil)

(autoload 'xetla-inventory-file-mode "xetla" "\
Major mode to edit xetla inventory files (=tagging-method, .arch-inventory).

arguments: ()
" t nil)

(autoload 'xetla-find-file-hook "xetla" "\
Hook executed when opening a file.
Follow symlinked files/directories to the actual location of a file.
Enter smerge mode if the file has conflicts (detected by the presence
of a .rej file).

arguments: ()
" nil nil)

(autoload 'xetla-tag-string "xetla" "\
Return a suitable string for an arch-tag.
Actually calls `xetla-tag-function', which defaults to `xetla-tag-uuid' to generate
string (and possibly add a comment-end after).

Interactively, you should call `xetla-tag-insert', but this function can
be usefull to write template files.

arguments: ()
" nil nil)

(autoload 'xetla-tag-insert "xetla" "\
Insert a unique arch-tag in the current file.
Actually calls `xetla-tag-function', which defaults to `xetla-tag-uuid' to generate
string (and possibly add a comment-end after)

arguments: ()
" t nil)

(autoload 'xetla-tag-regenerate "xetla" "\
Find an arch tag in the current buffer and regenerates it.
This means changing the ID of the file, which will usually be done after
copying a file in the same tree to avoid duplicates ID.

Raises an error when multiple tags are found or when no tag is found.

arguments: ()
" t nil)

(autoload 'xetla-ediff-add-log-entry "xetla" "\
Add a log entry.

arguments: ()
" t nil)

(autoload 'xetla-tree-lint "xetla" "\
Run tla tree-lint in directory ROOT.

arguments: (ROOT)
" t nil)

(autoload 'xetla-version "xetla" "\
Return the XEtla version.

arguments: ()
" t nil)

(autoload 'xetla-prepare-patch-submission "xetla" "\
Submit a patch to a xetla working copy (at XETLA-TREE-ROOT) via email.
With this feature it is not necessary to tag an xetla archive.
You simply edit your checked out copy from your project and call this function.
The function will create a patch as *.tar.gz file (based on TARBALL-BASE-NAME)
and send it to the given email address EMAIL.
VERSION-STRING should indicate the version of xetla that the patch applies to.
DESCRIPTION is a brief descsription of the patch.
SUBJECT is the subject for the email message.
For an example, how to use this function see: `xetla-submit-patch'.

arguments: (XETLA-TREE-ROOT TARBALL-BASE-NAME EMAIL VERSION-STRING &optional DESCRIPTION SUBJECT)
" t nil)

(autoload 'xetla-submit-bug-report "xetla" "\
Submit a bug report, with pertinent information to the XEtla Devel list.

arguments: ()
" t nil)

;;;***

(add-to-list 'minor-mode-alist '(xetla-process-running (:eval (if (equal (length xetla-process-running) 1) " tla running" (concat " tla running(" (int-to-string (length xetla-process-running)) ")")))))

(provide 'xetla-autoloads)
